package org.gcube.portlets.user.dataminermanager.client.events;

import org.gcube.portlets.user.dataminermanager.shared.data.ComputationId;

import com.google.gwt.event.shared.EventHandler;
import com.google.gwt.event.shared.GwtEvent;
import com.google.gwt.event.shared.HandlerRegistration;
import com.google.gwt.event.shared.HasHandlers;

/**
 * Cancel Computation Request Event
 * 
 * 
 * @author "Giancarlo Panichi" <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public class CancelComputationRequestEvent
		extends
		GwtEvent<CancelComputationRequestEvent.CancelComputationRequestEventHandler> {

	public static Type<CancelComputationRequestEventHandler> TYPE = new Type<CancelComputationRequestEventHandler>();
	private ComputationId computationId;

	public interface CancelComputationRequestEventHandler extends EventHandler {
		void onCancel(CancelComputationRequestEvent event);
	}

	public interface HasCancelComputationRequestEventHandler extends
			HasHandlers {
		public HandlerRegistration addCancelComputationRequestEventHandler(
				CancelComputationRequestEventHandler handler);
	}

	public CancelComputationRequestEvent(ComputationId computationId) {
		this.computationId = computationId;
	}

	@Override
	protected void dispatch(CancelComputationRequestEventHandler handler) {
		handler.onCancel(this);
	}

	@Override
	public Type<CancelComputationRequestEventHandler> getAssociatedType() {
		return TYPE;
	}

	public static Type<CancelComputationRequestEventHandler> getType() {
		return TYPE;
	}

	public static void fire(HasHandlers source,
			CancelComputationRequestEvent event) {
		source.fireEvent(event);
	}

	public ComputationId getComputationId() {
		return computationId;
	}

	@Override
	public String toString() {
		return "CancelComputationRequestEvent [computationId=" + computationId
				+ "]";
	}

}
