package org.gcube.portlets.user.dataminermanager.client.events;

import com.google.gwt.event.shared.EventHandler;
import com.google.gwt.event.shared.GwtEvent;
import com.google.gwt.event.shared.HandlerRegistration;
import com.google.gwt.event.shared.HasHandlers;

/**
 * Component Refresh Layout Event
 * 
 * 
 * @author "Giancarlo Panichi" <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 *
 */
public class ComponentRefreshLayoutEvent
		extends
		GwtEvent<ComponentRefreshLayoutEvent.ComponentRefreshLayoutEventHandler> {

	public static Type<ComponentRefreshLayoutEventHandler> TYPE = new Type<ComponentRefreshLayoutEventHandler>();

	public interface ComponentRefreshLayoutEventHandler extends EventHandler {
		void onRefresh(ComponentRefreshLayoutEvent event);
	}

	public interface HasComponentRefreshLayoutEventHandler extends HasHandlers {
		public HandlerRegistration addComponentRefreshLayoutEventHandler(
				ComponentRefreshLayoutEventHandler handler);
	}

	public ComponentRefreshLayoutEvent() {

	}

	@Override
	protected void dispatch(ComponentRefreshLayoutEventHandler handler) {
		handler.onRefresh(this);
	}

	@Override
	public Type<ComponentRefreshLayoutEventHandler> getAssociatedType() {
		return TYPE;
	}

	public static Type<ComponentRefreshLayoutEventHandler> getType() {
		return TYPE;
	}

	public static void fire(HasHandlers source,
			ComponentRefreshLayoutEvent event) {
		source.fireEvent(event);
	}

	@Override
	public String toString() {
		return "ComponentRefreshLayoutEvent []";
	}

}
